package com.foreverwin.mesnac.production.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 生产执行数据装配
 * </p>
 *
 * @author Philip
 * @since 2021-07-19
 */

@TableName("Z_SFC_DATA_ASSEMBLE")

public class SfcDataAssemble extends Model<SfcDataAssemble> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 派工单
     */
   @TableField("SFC_DISPATCH_BO")
   private String sfcDispatchBo;
    /**
     * A/装配；D/拆机
     */
   @TableField("STATUS")
   private String status;
    /**
     * 库存BO
     */
   @TableField("INVENTORY_BO")
   private String inventoryBo;
    /**
     * 装配数量
     */
   @TableField("ASSEMBLE_QTY")
   private BigDecimal assembleQty;
    /**
     * 物料组件
     */
   @TableField("ITEM_BO")
   private String itemBo;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 创建人员
     */
   @TableField("CREATED_USER")
   private String createdUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;
    /**
     * 修改人员
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 组件顺序
     */
   @TableField("SEQ")
   private Double seq;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getSfcDispatchBo() {
      return sfcDispatchBo;
   }

   public void setSfcDispatchBo(String sfcDispatchBo) {
      this.sfcDispatchBo = sfcDispatchBo;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getInventoryBo() {
      return inventoryBo;
   }

   public void setInventoryBo(String inventoryBo) {
      this.inventoryBo = inventoryBo;
   }

   public BigDecimal getAssembleQty() {
      return assembleQty;
   }

   public void setAssembleQty(BigDecimal assembleQty) {
      this.assembleQty = assembleQty;
   }

   public String getItemBo() {
      return itemBo;
   }

   public void setItemBo(String itemBo) {
      this.itemBo = itemBo;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public Double getSeq() {
      return seq;
   }

   public void setSeq(Double seq) {
      this.seq = seq;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String SFC_DISPATCH_BO = "SFC_DISPATCH_BO";

public static final String STATUS = "STATUS";

public static final String INVENTORY_BO = "INVENTORY_BO";

public static final String ASSEMBLE_QTY = "ASSEMBLE_QTY";

public static final String ITEM_BO = "ITEM_BO";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String CREATED_USER = "CREATED_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String SEQ = "SEQ";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SfcDataAssemble{" +
         "handle = " + handle +
         ", site = " + site +
         ", sfcDispatchBo = " + sfcDispatchBo +
         ", status = " + status +
         ", inventoryBo = " + inventoryBo +
         ", assembleQty = " + assembleQty +
         ", itemBo = " + itemBo +
         ", createdDateTime = " + createdDateTime +
         ", createdUser = " + createdUser +
         ", modifiedDateTime = " + modifiedDateTime +
         ", modifyUser = " + modifyUser +
         ", seq = " + seq +
         "}";
   }
}